/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:14pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\lanceofthestampede.cs
Lines of code: 47

Description: 

***********************************************************/


//******************************************************************
//NOTE:  This artifact has been converted over to a random AOA
//******************************************************************


using Server;
using System;

namespace Server.Items
{
	
	public class lanceofthestampede : Lance
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public lanceofthestampede() : base()
		{
			Name="Lance of the Stampede";
			Hue=1324;


			Attributes.ReflectPhysical=10;
			Attributes.WeaponDamage=80;
			Attributes.WeaponSpeed=10;
			Attributes.SpellChanneling=1;
			
			WeaponAttributes.HitFireball = 25;
			WeaponAttributes.HitHarm = 25;
			WeaponAttributes.LowerStatReq = 80;
				
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=50;
			AosElementDamages.Cold=50;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;		
		}
		
		
		

		public lanceofthestampede( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{
			Item i = Activator.CreateInstance( Misc.TreasuresOfFelucca.m_LesserArtifacts[Utility.Random( Misc.TreasuresOfFelucca.m_LesserArtifacts.Length )] ) as Item;			
			
			
			Misc.ObjectConverter.ConvertItem(this,i);
		}	
		
		
		
	}
	
}